Get V3 Api Root

Get V3 Api Root
Get V3 API root

Returns the V3 API root endpoint information.

Request
URI
GET
https://api.example.local/v3
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "apps": {
            "href": "string",
            "method": "string"
        },
        "builds": "Link Object",
        "deployments": "Link Object",
        "domains": "Link Object",
        "droplets": "Link Object",
        "feature_flags": "Link Object",
        "info": "Link Object",
        "isolation_segments": "Link Object",
        "locks": {
            "title": "string",
            "detail": "string",
            "relationships": {},
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "app": {
                    "href": "string",
                    "method": "string"
                }
            }
        },
        "organizations": "Link Object",
        "packages": "Link Object",
        "processes": "Link Object",
        "roles": "Link Object",
        "routes": "Link Object",
        "security_groups": "Link Object",
        "service_brokers": "Link Object",
        "service_instances": "Link Object",
        "service_offerings": "Link Object",
        "service_plans": "Link Object",
        "spaces": "Link Object",
        "stacks": "Link Object",
        "tasks": "Link Object",
        "users": "Link Object"
    }
}
object
links
Optional

Links to related resources


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3